function fnois_m=D_nois_model(fZ,band)
%modeling the additive noise
%fZ -- DFT of the input array of row  signals
%band -- width of the modeling band
%fnois_m  -- DFT of the estimated noise
[~, hz]=size(fZ);

C=ceil(hz/band);
lc=band/2*C;
dc=(hz-band)/2;

    ff=fZ(:,(hz/2-band/2+1):(hz/2+band/2));
    fnois_m=exteB(ff,dc,dc,0,0);

